Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTDItem

    java.lang.Object
      |
      +--com.wutka.dtd.DTDItem

All Implemented Interfaces:
  DTDOutput

Direct Known Subclasses:
  DTDAny, DTDContainer, DTDEmpty, DTDName, DTDPCData

public abstract class DTDItem
extends Object
implements DTDOutput

Represents any item in the DTD

Version:
  $Revision: 1.12 $ $Date: 2000/09/01 13:21:05 $ by $Author: wutka $
Author:
  Mark Wutka

Field Summary
`DTDCardinal` | `cardinal` Indicates how often the item may occur

Constructor Summary
`DTDItem()`
`DTDItem(DTDCardinal aCardinal)`

Method Summary
`boolean` | `equals(Object ob)`
`DTDCardinal` | `getCardinal()` Retrieves the cardinality of the item
`void` | `setCardinal(DTDCardinal aCardinal)` Sets the cardinality of the item
`abstract void` | `write(PrintWriter out)` Writes out a declaration for this item

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cardinal

    public DTDCardinal cardinal

  Indicates how often the item may occur

Constructor Detail

### DTDItem

    public DTDItem()

### DTDItem

    public DTDItem(DTDCardinal aCardinal)

Method Detail

### write

    public abstract void write(PrintWriter out)
                        throws IOException

  Writes out a declaration for this item
  Specified by:
    `write` in interface `DTDOutput`

### equals

    public boolean equals(Object ob)

  Overrides:
    `equals` in class `Object`

### setCardinal

    public void setCardinal(DTDCardinal aCardinal)

  Sets the cardinality of the item

### getCardinal

    public DTDCardinal getCardinal()

  Retrieves the cardinality of the item

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD